#include "LagrangeInterpolRestrict.h"

namespace AMDiS {

  InterpolRestrictMatrix *interpolMatrices[3][4] = {
    {new IM_1d_1, new IM_1d_2,        NULL,        NULL},
    {new IM_2d_1, new IM_2d_2, new IM_2d_3, new IM_2d_4},
    {new IM_3d_1, new IM_3d_2, new IM_3d_3, new IM_3d_4}
  };

  InterpolRestrictMatrix *restrictMatrices[3][4] = {
    { new InterpolRestrictMatrix(*(interpolMatrices[0][0]), true), 
      new InterpolRestrictMatrix(*(interpolMatrices[0][1]), true),        
      NULL,        
      NULL},
    { new InterpolRestrictMatrix(*(interpolMatrices[1][0]), true), 
      new InterpolRestrictMatrix(*(interpolMatrices[1][1]), true), 
      new InterpolRestrictMatrix(*(interpolMatrices[1][2]), true), 
      new InterpolRestrictMatrix(*(interpolMatrices[1][3]), true) },
    { new InterpolRestrictMatrix(*(interpolMatrices[2][0]), true), 
      new InterpolRestrictMatrix(*(interpolMatrices[2][1]), true), 
      new InterpolRestrictMatrix(*(interpolMatrices[2][2]), true), 
      new InterpolRestrictMatrix(*(interpolMatrices[2][3]), true) }
  };

}
